Create a split
curl --request POST \
--url https://api.friendli.ai/beta/dataset/{dataset_id}/split \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"createdAt": 123,
"updatedAt": 123
}Dataset
Create a new split
Create a new split within a Friendli dataset via the API. Use splits to organize data into training, validation, and test partitions.
POST
/
beta
/
dataset
/
{dataset_id}
/
split
Create a split
curl --request POST \
--url https://api.friendli.ai/beta/dataset/{dataset_id}/split \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"name": "<string>",
"createdAt": 123,
"updatedAt": 123
}Create a new split. To request successfully, it is required to enter a Personal API Key (e.g. flp_XXX) in the Bearer Token field. Refer to the authentication section on our introduction page to learn more and visit here to generate your API Key.Documentation Index
Fetch the complete documentation index at: https://friendli.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
This API is currently in Beta.
While we strive to provide a stable and reliable experience, this feature is still under active development.
As a result, you may encounter unexpected behavior or limitations.
We encourage you to provide feedback to help us improve the feature before its official release.
Authorizations
Headers
ID of team to run requests as (optional parameter).
Path Parameters
ID of the dataset.
Query Parameters
Last modified on April 29, 2026
⌘I